package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;
import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.EarlyCancerRankDTO;
import com.sict.excel.dto.ScreeningRankDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class ScreeningRankGecaExcel {

	public static HSSFWorkbook getsheet10(HSSFWorkbook workbook) throws IOException {
		SqlSession sqlSession = SqlSessionUtil.getGecaSession();

			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			ExportExcelUtil<ScreeningRankDTO> util = new ExportExcelUtil<ScreeningRankDTO>();
			String[] columnNames = {"排名","医联体名称","血检人数"};
			List<ScreeningRankDTO> list = mapper.getScreeningRankDTOs();
			int total =0;
			for (int i = 0; i < list.size(); i++) {
				total+=list.get(i).getActualserum();
			}
			HSSFSheet sheet = util.exportExcel(workbook,"门诊筛查排名-血检人数", columnNames, list,  ExportExcelUtil.EXCEl_FILE_2007);
			HSSFRow row = sheet.createRow(list.size()+1);
			HSSFCell cell = row.createCell(0);
			cell.setCellValue("合计");
			HSSFCell cell2 = row.createCell(2);
			cell2.setCellValue(""+total);
			
			sqlSession.commit();
		
			sqlSession.close();
			return workbook;
	}

}
