package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class ScreeningRankProvinceExcel {

	public static HSSFSheet  getSheet8(HSSFWorkbook workbook) throws IOException {
		
		SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			ExportExcelUtil<ScreeningRankProvinceDTO> util = new ExportExcelUtil<ScreeningRankProvinceDTO>();
			
			String[] columnNames = {"排名","医院名称","省份","血检人数"};
			
			List<ScreeningRankProvinceDTO> list = mapper.getScreeningRankProvinceDTOs();
			int total =0;
			for (int i = 0; i < list.size(); i++) {
				total+=list.get(i).getActualserum();
			}
			//String path = "E:/2019/excel/" + "筛查排名-按血检人数排名.xls";
			HSSFSheet sheet = util.exportExcel(workbook, "筛查排名-按血检人数排名", columnNames,  list, ExportExcelUtil.EXCEl_FILE_2007);
			HSSFRow row = sheet.createRow(list.size()+1);
			HSSFCell cell = row.createCell(0);
			cell.setCellValue("合计");
			HSSFCell cell2 = row.createCell(3);
			cell2.setCellValue(""+total);
			sqlSession.commit();
		
			sqlSession.close();
			return sheet;

	}

}
